# Runs all of the sensor server modules in a reasonable order and with some delays.

DB=data/bodydata.db
EKGDB=data/ekgdata.db
LOGDIR="/root/healthnet/log"

TIME=$(date +%Y-%h-%d-%s)

echo 'Starting gpsd...'
bin/gpsd &
sleep 1

echo 'Starting noded...'
bin/noded $EKGDB &
sleep 1

echo 'Starting aggregator...'
bin/aggregator $DB &

# Sleep forever to allow us to kill everything using ctrl-c
while true;
do
    sleep 50000
done
