#! /usr/bin/python

'''
Eugene Marinelli
4/2/08
Fills a sqlite3 database with n healthnet body stat entries.
'''

import random
import sqlite3
import sys

def main():
    if len(sys.argv) != 3:
        print 'Usage: %s [database file] [number of entries]' % sys.argv[0]

    db_filename = sys.argv[1]
    num_entries = int(sys.argv[2])

    sql_conn = sqlite3.connect(db_filename)
    c = sql_conn.cursor()

    for i in range(0, num_entries):
        time = random.randrange(0, 100000)
        exercise_id = random.randrange(0, 10)
        location = random.randrange(0, 1000000)
        heartrate = random.randrange(0, 1000)
        pulseox = random.randrange(0, 1000)
        temperature = random.randrange(0,10000)

        c.execute("insert into bodystats values (%d,%d,%d,%d,%d,%d)" % (time, exercise_id, location, heartrate,
                                                                        pulseox, temperature))
        sql_conn.commit()

    c.close()

if __name__ == "__main__":
    main()
