<?php
	include 'jpgraph-2.3/src/jpgraph.php'; 
	include 'jpgraph-2.3/src/jpgraph_line.php';	
	include 'jpgraph-2.3/src/jpgraph_bar.php';
	include_once("include/common_functions.php");
	
	$exercise_id = $_GET["exercise_id"];
	
	$db = new PDO('sqlite:db/healthnet.db'); 
	  
  $get_ekg_data = 'SELECT ekg FROM ekg;';
  $result = $db->query($get_ekg_data);
  
  foreach($result as $row) {
  	$ydata[] = $row['ekg'];
  }
  
	// Create the graph. These two calls are always required
	$graph = new Graph(500,250,"auto");	
	$graph->SetScale("textlin");

	// Create the linear plot
	$lineplot=new LinePlot($ydata);

	// Add the plot to the graph
	$graph->Add($lineplot);

	$graph->img->SetMargin(40,20,20,40);
	$graph->title->Set("EKG Data");
	$graph->xaxis->title->Set("Ekg Signal");
	$graph->xaxis->SetPos("min");
	$graph->yaxis->title->Set("Value");

	// Display the graph
	$graph->Stroke();
?>