<?php
	include 'jpgraph-2.3/src/jpgraph.php'; 
	include 'jpgraph-2.3/src/jpgraph_line.php';	
	include 'jpgraph-2.3/src/jpgraph_bar.php';
		
	$exercise_id = $_GET["exercise_id"];
	
	$db = new PDO('sqlite:../data/healthnet.db'); 
	
	$get_data_exercise = 'select * from bodystats where exercise_id='.$exercise_id.';';
  $result = $db->query($get_data_exercise);
  	
  foreach($result as $row) {
  	$datax[] = $row['time'];
  	$datay[] = $row['heartrate'];
  }
  
	// Setup the graph
	$graph = new Graph(600,250);
	$graph->SetScale('intlin');
	$graph->title->Set('Heart Rate for Exercise ID '.$exercise_id);
	$graph->title->SetFont(FF_VERDANA,FS_NORMAL,12);
	//Make sure data starts from Zero whatever data we have
	$graph->yscale->SetAutoMin(0);
	
	// Setup font for axis
	$graph->xaxis->SetFont(FF_VERDANA,FS_NORMAL,8);
	$graph->yaxis->SetFont(FF_VERDANA,FS_NORMAL,8);

	$graph->xaxis->SetTickLabels($datax);
	//$graph->xaxis->SetLabelAngle(50);
	$graph->xgrid->Show();

	$graph->xaxis->title->Set("Time");
	$graph->yaxis->title->Set("Heart Rate");
	
	$p1 = new LinePlot($datay);
	$p1->SetFillColor('lightblue');
	$graph->Add($p1);

	// Output line
	$graph->Stroke();
?>