<?php
	include 'jpgraph-2.3/src/jpgraph.php'; 
	include 'jpgraph-2.3/src/jpgraph_line.php';	
	include 'jpgraph-2.3/src/jpgraph_bar.php';
	include_once("include/common_functions.php");
	
	$exercise_id = $_GET["exercise_id"];
	
	$db = new PDO('sqlite:db/healthnet.db'); 
	
	$get_data_exercise = 'SELECT Time, PulseOX 
											 FROM data_collection where Exercise_id='.$exercise_id.' ORDER BY Date, Time;';
  $result = $db->query($get_data_exercise);
  	
  foreach($result as $row) {
  	$time = $row['Time'];
  	$datax[] = Sec2Time($time);
  	$datay[] = $row['PulseOX'];
  }
  
	// Setup the graph
	$graph = new Graph(500,250);
	$graph->SetScale('intlin');
	$graph->title->Set('Pulse OX for Exercise ID '.$exercise_id);
	//$graph->title->SetFont(FF_VERDANA,FS_NORMAL,12);
	//Make sure data starts from Zero whatever data we have
	$graph->yscale->SetAutoMin(0);
	
	// Setup font for axis
	//$graph->xaxis->SetFont(FF_VERDANA,FS_NORMAL,8);
	//$graph->yaxis->SetFont(FF_VERDANA,FS_NORMAL,8);

	$graph->xaxis->SetTickLabels($datax);
	//$graph->xaxis->SetFont(FF_TIMES,FS_NORMAL,10);
	//$graph->xaxis->SetLabelAngle(30);
	$graph->xgrid->Show();

	$graph->xaxis->title->Set("Time");
	$graph->yaxis->title->Set("Pulse Ox");
	
	$p1 = new LinePlot($datay);
	$p1->SetFillColor('lightgreen');
	$graph->Add($p1);

	// Output line
	$graph->Stroke();
?>