#include <serial.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char** argv) {
  if (argc != 2) {
    fprintf(stderr, "need a port filename\n");
    return 1;
  }

  int fd = init_serial(argv[1], B9600, O_RDONLY);
  if (fd < 0) {
    fprintf(stderr, "open failed\n");
    return 1;
  }

  while (1) {
    char buf[80];
    int nrecv = read(fd, buf, 80);

    if (nrecv > 0) {
      buf[nrecv] = 0;
      printf("RECEIVED: %s\n", buf);
    }
  }

  return 0;
}
