#include <led.h>
#include <Robostix.h>

void led_init(void) {
  /* Set the ports that each led is connected to to output direction */
  DDRG = _BV(4) | _BV(3); // Red is pin 4 and blue is pin 3
  DDRB = _BV(4);  // Yellow is pin 4

  leds_off();
}

void leds_off() {
  LED_OFF(RED);
  LED_OFF(BLUE);
  LED_OFF(YELLOW);
}
