<?php
	include_once("include/common_functions.php");
	session_start();
	if (!isset($_SESSION['logged_in'])) {
    	header("Location: index.php");
	}
	
	$db = new PDO('sqlite:db/healthnet.db');
	$user_id = $_SESSION['user_id'];
				
	$get_exercise_time = 'SELECT DISTINCT Exercise_id, min(Date) AS mindate, min(Time) AS mintime, 
													   max(Date) As maxdate, max(Time) AS maxtime
						  FROM data_collection
						  GROUP BY Exercise_id
						  ORDER BY Exercise_id;';
	$result_exercise = $db->query($get_exercise_time);
			
	foreach($result_exercise as $row) {
		$exercises[] = $row['Exercise_id'];
		$mindatestamp[] = date2Date($row['mindate']);
		$mintimestamp[] = Sec2Time($row['mintime']);
		$maxdatestamp[] = date2Date($row['maxdate']);
		$maxtimestamp[] = Sec2Time($row['maxtime']);
	}
				
	$exercise_count = count($exercises);
	
	$exercise_id = $_GET['exercise_id'];				
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/template-login-20080429.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- InstanceBeginEditable name="doctitle" -->
<title>Healthnet - Exercise Review</title>
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAoFF2szbChJhcQxQI6azG7xT9QbQbZxcptXaS4QEyNy62bNjKHxQl5GhqzKSzufm8d0ZLIXoGK8Y56Q"
            type="text/javascript"></script>
    <script type="text/javascript">
    function initialize() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map_canvas"));
		<?php
			$get_gps_data = "SELECT Latitude, Longitude, North_South, East_West FROM data_collection where Exercise_ID='$exercise_id';";
					
			$result_gps = $db->query($get_gps_data);
			
			$maxlatitude = -200;
			$minlatitude = 200;
			$maxlongitude = -200;
			$minlongitude = 200;
			
			foreach($result_gps as $row) {
				$latitude_data = $row['Latitude'];
				$longitude_data = $row['Longitude'];
				$north_south = $row['North_South'];
				$east_west = $row['East_West'];
				
				if($north_south == "1") {
					$latitude_data = -$latitude_data;
				}
				if($east_west == "1") {
					$longitude_data = -$longitude_data;
				}
						
				if(($latitude_data != 0) && ($longitude_data != 0)) {
					$latitude[] = $latitude_data;
					$longitude[] = $longitude_data;
					
					if($latitude_data > $maxlatitude) {
						$maxlatitude = $latitude_data;
					}
					if($latitude_data < $minlatitude) {
						$minlatitude = $latitude_data;
					}
					if($longitude_data > $maxlongitude) {
						$maxlongitude = $longitude_data;
					}
					if($longitude_data < $minlongitude) {
						$minlongitude = $longitude_data;
					}
				}	
			}
			
			$avglatitude = ($maxlatitude + $minlatitude) / 2;
			$avglongitude = ($maxlongitude + $minlongitude) / 2;
		?>
        map.setCenter(new GLatLng(<?php echo $avglatitude.", ".$avglongitude; ?>), 13);
		map.addControl(new GSmallMapControl());
        map.addControl(new GMapTypeControl());
        var polyline = new GPolyline([
		<?php					
			$size_gps = sizeof($latitude);
			
			for($count = 0; $count < $size_gps-1; $count++) {
				echo "new GLatLng($latitude[$count], $longitude[$count]),\n";
			}
			$last = $size_gps-1;
			echo "new GLatLng($latitude[$last], $longitude[$last])";
		?>
		], "#0000ff", 5);
		map.addOverlay(polyline);
      }
    }  
</script>
	
<!-- InstanceEndEditable --><!-- InstanceBeginEditable name="head" --><!-- InstanceEndEditable -->
<?php
	$documentroot = $_SERVER['DOCUMENT_ROOT'];
	//include_once($documentroot . "549project/ui/include/common_functions.php");
?>
<link href="Templates/css/basic.css" rel="stylesheet" type="text/css" />
<link href="Templates/css/form.css" rel="stylesheet" type="text/css" />
</head>
<body onload="initialize()" onunload="GUnload()">
<table width="1200" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" class="maintable" id="Table_01">
  <div id="header">
    <tr>
      <td width="200" height="60" class="maintableright">&nbsp;</td>
      <td width="800" height="60" colspan="2" class="maintabletop"><a href="index.php"><img src="images/template/top-logo.gif" alt="Norcgi.com" width="800" height="60" border="0" longdesc="http://www.norcgi.com" /></a></td>
      <td width="200" height="60" class="maintableleft">&nbsp;</td>
    </tr>
    <tr>
      <td width="200" class="maintableright">&nbsp;</td>
      <td width="800" colspan="2" >&nbsp;</td>
      <td width="200" class="maintableleft">&nbsp;</td>
    </tr>
  </div>
  
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="200" align="center" valign="top">
		<div class="Menu"><p>
			<br />
			<a href="upload.php">Upload New Data</a><br />
			<a href="suggested.php">Suggested Exercise Plan</a><br />
			<a href="edit.php">Edit User Information</a><br />
			<br />
			<?php
				for($counter = 0; $counter < $exercise_count; $counter++) {
					echo "<a href='display.php?exercise_id=$exercises[$counter]'>Exercise $exercises[$counter]</a><br />";
				}
			?>
			<br />
			<a href="logout.php">Log Out</a><br />
			</p>
		</div>
		<!-- InstanceBeginEditable name="loginmenu" --><!-- InstanceEndEditable --></td>
    <td width="600" align="center"><!-- InstanceBeginEditable name="content" -->
      <table width="550" border="0" cellpadding="0" cellspacing="0" class="thintable">
        <tr>
          <td><em><img src="images/main/exercise_route.gif" width="580" height="15" /></em></td>
        </tr>
        <tr>
          <td>
		  	<br />
				<div id="map_canvas" style="width: 500px; height: 500px"></div>
			<br />
		  </td>
        </tr>
        <tr>
          <td><img src="images/main/pulse_ox.gif" width="580" height="15" /></td>
        </tr>
        <tr>
          <td>
		  	<br />
		  	<?php
				echo "<img src='PulseOx.php?exercise_id=".$exercise_id."'>";
			?>
			<br />
		  </td>
        </tr>
        <tr>
          <td><img src="images/main/heart_rate.gif" width="580" height="15" /></td>
        </tr>
        <tr>
          <td>
		  	<br />
		  	<img src="EKGPlot.php" />
				<br />
				<img src="BPMPlot.php" />
		  </td>
        </tr>
        <tr>
          <td><img src="images/main/overall_analysis.gif" width="580" height="15" /></td>
        </tr>
        <tr>
          <td align="left">
		  	<br />
		  	<?php
				$get_user_info = "SELECT Height, Weight, Birthday, level, purpose from users
								  WHERE username='admin';";
				
				$result_user_info = $db->query($get_user_info);
				
				foreach($result_user_info as $row) {
					$height = $row['Height'];
					$weight = $row['Weight'];
					$birthday = $row['Birthday'];
					$level = $row['level'];
					$purpose = $row['purpose'];
				}
					
				$age = calcAge($birthday);
				$maxheartrate = 220-$age;
				
				$lowerbound = 0;
				$highbound = 0;
				
				if($level == 1) {
					$lowerbound = $maxheartrate * 0.4;
					$highbound = $maxheartrate * 0.5;
				} else if($level == 2) {
					$lowerbound = $maxheartrate * 0.5;
					$highbound = $maxheartrate * 0.6;
				} else if($level == 3) {
					$lowerbound = $maxheartrate * 0.6;
					$highbound = $maxheartrate * 0.8;
				} else {
					$lowerbound = $maxheartrate * 0.7;
					$highbound = $maxheartrate * 0.9;
				}
				
				$get_exercise_info = "SELECT Pedometer from data_collection
									 WHERE Exercise_ID='$exercise_id'";
				
				$result_exercise_info = $db->query($get_exercise_info);
				
				foreach($result_exercise_info as $row) {
					$pedometer[] = $row['Pedometer'];
				}
				
			?>
			<p>
			You took total of <?php echo max($pedometer); ?> steps during this exercise.<br />
			Your suggested Heart rate is between <?php echo $lowerbound; ?> and <?php echo $highbound; ?>.<br />
			Review your BPM chart and see if you are exceeding those values.<Br />
			If you are, please change your exercise plan to lower your heart rate.<br />
			If you are below the suggested heart rate, work harder.<Br />
			<br />
			</p>
		  </td>
        </tr>
      </table>
    <!-- InstanceEndEditable --></td>
    <td width="200" align='right' class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2">&nbsp;</td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2" class="maintablebottom"><div align="center">
        <p><img src="images/template/divider.gif" alt="norcgi.com" width="600" height="2" /><br />
        <span class="footer_text">Copyright(C) Healthnet 2008 </span></p>
      </div></td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
</table>
</body>
<!-- InstanceEnd --></html>
