<?php
	include_once("include/common_functions.php");
	session_start();
	if (!isset($_SESSION['logged_in'])) {
    	header("Location: index.php");
	}
	
	$db = new PDO('sqlite:db/healthnet.db');
	$user_id = $_SESSION['user_id'];
				
	$get_exercise_time = 'SELECT DISTINCT Exercise_id, min(Date) AS mindate, min(Time) AS mintime, 
													   max(Date) As maxdate, max(Time) AS maxtime
						  FROM data_collection
						  GROUP BY Exercise_id
						  ORDER BY Exercise_id;';
	$result_exercise = $db->query($get_exercise_time);
			
	foreach($result_exercise as $row) {
		$exercises[] = $row['Exercise_id'];
		$mindatestamp[] = date2Date($row['mindate']);
		$mintimestamp[] = Sec2Time($row['mintime']);
		$maxdatestamp[] = date2Date($row['maxdate']);
		$maxtimestamp[] = Sec2Time($row['maxtime']);
	}
				
	$exercise_count = count($exercises);
				
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/template-login-20080429.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- InstanceBeginEditable name="doctitle" -->
<title>Healthnet - Suggested Exercise Plan</title>
<!-- InstanceEndEditable --><!-- InstanceBeginEditable name="head" --><!-- InstanceEndEditable -->
<?php
	$documentroot = $_SERVER['DOCUMENT_ROOT'];
	//include_once($documentroot . "549project/ui/include/common_functions.php");
?>
<link href="Templates/css/basic.css" rel="stylesheet" type="text/css" />
<link href="Templates/css/form.css" rel="stylesheet" type="text/css" />
</head>
<body onload="initialize()" onunload="GUnload()">
<table width="1200" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" class="maintable" id="Table_01">
  <div id="header">
    <tr>
      <td width="200" height="60" class="maintableright">&nbsp;</td>
      <td width="800" height="60" colspan="2" class="maintabletop"><a href="index.php"><img src="images/template/top-logo.gif" alt="Norcgi.com" width="800" height="60" border="0" longdesc="http://www.norcgi.com" /></a></td>
      <td width="200" height="60" class="maintableleft">&nbsp;</td>
    </tr>
    <tr>
      <td width="200" class="maintableright">&nbsp;</td>
      <td width="800" colspan="2" >&nbsp;</td>
      <td width="200" class="maintableleft">&nbsp;</td>
    </tr>
  </div>
  
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="200" align="center" valign="top">
		<div class="Menu"><p>
			<br />
			<a href="upload.php">Upload New Data</a><br />
			<a href="suggested.php">Suggested Exercise Plan</a><br />
			<a href="edit.php">Edit User Information</a><br />
			<br />
			<?php
				for($counter = 0; $counter < $exercise_count; $counter++) {
					echo "<a href='display.php?exercise_id=$exercises[$counter]'>Exercise $exercises[$counter]</a><br />";
				}
			?>
			<br />
			<a href="logout.php">Log Out</a><br />
			</p>
		</div>
		<!-- InstanceBeginEditable name="loginmenu" --><!-- InstanceEndEditable --></td>
    <td width="600" align="center"><!-- InstanceBeginEditable name="content" -->
      <table width="550" border="0" cellpadding="0" cellspacing="0" class="thintable">
        <tr>
          <td><img src="images/main/suggested_exercise_plan.gif" width="580" height="15" /></td>
        </tr>
        <tr>
          <td align="left">
		  	<?php
				$get_user_info = "SELECT Height, Weight, Birthday, level, purpose from users
								  WHERE username='admin';";
				
				$result_user_info = $db->query($get_user_info);
				
				foreach($result_user_info as $row) {
					$height = $row['Height'];
					$weight = $row['Weight'];
					$birthday = $row['Birthday'];
					$level = $row['level'];
					$purpose = $row['purpose'];
				}
					
				$age = calcAge($birthday);
				$maxheartrate = 220-$age;
				
				$lowerbound = 0;
				$highbound = 0;
				
				if($level == 1) {
					$lowerbound = $maxheartrate * 0.4;
					$highbound = $maxheartrate * 0.5;
				} else if($level == 2) {
					$lowerbound = $maxheartrate * 0.5;
					$highbound = $maxheartrate * 0.6;
				} else if($level == 3) {
					$lowerbound = $maxheartrate * 0.6;
					$highbound = $maxheartrate * 0.8;
				} else {
					$lowerbound = $maxheartrate * 0.7;
					$highbound = $maxheartrate * 0.9;
				}
			?>
			<p>
			Your suggested Heart rate is between <?php echo $lowerbound; ?> and <?php echo $highbound; ?>.<br />
			</p>
			<?php
				$resting_heart_rate = $maxheartrate - 65;
				$low_end_heart_rate = $resting_heart_rate * 0.65;
				$high_end_heart_rate = $resting_heart_rate * 0.85;
				
				$low_target_zone = $low_end_heart_rate + 65;
				$high_target_zone = $high_end_heart_rate + 65;				
			?>
			<p>
				For you to be in fat burning zone, you need to work around <?php echo $low_target_zone; ?> beats per minute or lower.<br />
				To work within 'cardio' zone, you would need to work at <?php echo $low_target_zone; ?> beats per minute or higher.<br />
				Fore more information about the fat burning zone, visit <br />
			<a href="http://exercise.about.com/cs/cardioworkouts/l/aa022601a.htm">http://exercise.about.com/cs/cardioworkouts/l/aa022601a.htm</a></p><br />
			
			<table cellspacing="0" cellpadding="0">
			  <tr>
			    <td align="left" bgcolor="#c0c0c0" width="100">Day</td>
			    <td align="left" bgcolor="#c0c0c0" width="100">Intensity Level</td>
			    <td align="left" bgcolor="#c0c0c0" width="100">Duration</td>
			    <td align="left" bgcolor="#c0c0c0" width="200">Examples/Perceived          Exertion</td>
		      </tr>
              <tr>
                <td width="100">Monday</td>
                <td width="100">High Intensity</td>
                <td width="100">Duration: 20-30          minutes</td>
                <td width="200">Alternate 1-min sprint with 2 min walking.<br />
                  Perceived Exertion (PE) sprints:  8-9,          walking:  5-6</td>
              </tr>
              <tr>
                <td width="100">Tuesday</td>
                <td width="100">Medium Intensity</td>
                <td width="100">Duration: 45-60          minutes</td>
                <td width="200">Walking or jogging<br />
                  PE:  5-6</td>
              </tr>
              <tr>
                <td width="100">Wednesday</td>
                <td width="100">Low-Medium Intensity</td>
                <td width="100">Duration: All day</td>
                <td width="200"> Use a <a href="http://walking.about.com/od/measure/index.htm">pedometer</a> and try to get 10,000 steps </td>
              </tr>
              <tr>
                <td width="100">Thursday</td>
                <td width="100">Medium-High</td>
                <td width="100">Duration: 30-60 minutes</td>
                <td width="200">Kickboxing<br />
                  PE:  5-7</td>
              </tr>
              <tr>
                <td width="100">Friday</td>
                <td width="100">Medium-High</td>
                <td width="100">Duration: 30-45          minutes</td>
                <td width="200">Elliptical Trainer<br />
                  PE:  4-5</td>
              </tr>
              <tr>
                <td width="100">Saturday</td>
                <td width="100">Low-Medium</td>
                <td width="100">Duration: 30-60          minutes</td>
                <td width="200">Walking or aerobics class<br />
                  PE:  4-6</td>
              </tr>
		    </table>			<p><br />
		    </p></td>
        </tr>
      </table>
    <!-- InstanceEndEditable --></td>
    <td width="200" align='right' class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2">&nbsp;</td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2" class="maintablebottom"><div align="center">
        <p><img src="images/template/divider.gif" alt="norcgi.com" width="600" height="2" /><br />
        <span class="footer_text">Copyright(C) Healthnet 2008 </span></p>
      </div></td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
</table>
</body>
<!-- InstanceEnd --></html>
