<?php
	include_once("include/common_functions.php");
	session_start();
	if (!isset($_SESSION['logged_in'])) {
    	header("Location: index.php");
	}
	
	$db = new PDO('sqlite:db/healthnet.db');
	$user_id = $_SESSION['user_id'];
				
	$get_exercise_time = 'SELECT DISTINCT Exercise_id, min(Date) AS mindate, min(Time) AS mintime, 
													   max(Date) As maxdate, max(Time) AS maxtime
						  FROM data_collection
						  GROUP BY Exercise_id
						  ORDER BY Exercise_id;';
	$result_exercise = $db->query($get_exercise_time);
			
	foreach($result_exercise as $row) {
		$exercises[] = $row['Exercise_id'];
		$mindatestamp[] = date2Date($row['mindate']);
		$mintimestamp[] = Sec2Time($row['mintime']);
		$maxdatestamp[] = date2Date($row['maxdate']);
		$maxtimestamp[] = Sec2Time($row['maxtime']);
	}
				
	$exercise_count = count($exercises);
				
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/template-login-20080429.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!-- InstanceBeginEditable name="doctitle" -->
<title>Healthnet - Exercise Review</title>
<!-- InstanceEndEditable --><!-- InstanceBeginEditable name="head" --><!-- InstanceEndEditable -->
<?php
	$documentroot = $_SERVER['DOCUMENT_ROOT'];
	//include_once($documentroot . "549project/ui/include/common_functions.php");
?>
<link href="Templates/css/basic.css" rel="stylesheet" type="text/css" />
<link href="Templates/css/form.css" rel="stylesheet" type="text/css" />
</head>
<body onload="initialize()" onunload="GUnload()">
<table width="1200" border="0" cellpadding="0" cellspacing="0" bordercolor="#999999" class="maintable" id="Table_01">
  <div id="header">
    <tr>
      <td width="200" height="60" class="maintableright">&nbsp;</td>
      <td width="800" height="60" colspan="2" class="maintabletop"><a href="index.php"><img src="images/template/top-logo.gif" alt="Norcgi.com" width="800" height="60" border="0" longdesc="http://www.norcgi.com" /></a></td>
      <td width="200" height="60" class="maintableleft">&nbsp;</td>
    </tr>
    <tr>
      <td width="200" class="maintableright">&nbsp;</td>
      <td width="800" colspan="2" >&nbsp;</td>
      <td width="200" class="maintableleft">&nbsp;</td>
    </tr>
  </div>
  
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="200" align="center" valign="top">
		<div class="Menu"><p>
			<br />
			<a href="upload.php">Upload New Data</a><br />
			<a href="suggested.php">Suggested Exercise Plan</a><br />
			<a href="edit.php">Edit User Information</a><br />
			<br />
			<?php
				for($counter = 0; $counter < $exercise_count; $counter++) {
					echo "<a href='display.php?exercise_id=$exercises[$counter]'>Exercise $exercises[$counter]</a><br />";
				}
			?>
			<br />
			<a href="logout.php">Log Out</a><br />
			</p>
		</div>
		<!-- InstanceBeginEditable name="loginmenu" --><!-- InstanceEndEditable --></td>
    <td width="600" align="center"><!-- InstanceBeginEditable name="content" -->
      <table width="550" border="0" cellpadding="0" cellspacing="0" class="thintable">
        <tr>
          <td><img src="images/main/upload_data.gif" width="580" height="15" /></td>
        </tr>
        <tr>
          <td>
		  	<form id="typeOne" action="update_db.php" enctype='multipart/form-data' method="post">
				<input name="submit" type="hidden" class="submit" id="button1" value="Setup" />
				<fieldset id="Upload">
					<legend>Select DB File</legend>
					<center>Please make sure to choose the correct db file.</center>
						<ol>
							<li>
								<label for="file">DB File</label>
								 <input name='uploaded' type='file' />
							</li>
						</ol>
						<center>
							<input id="button1" type='submit' value='Upload' />
						</center>
				</fieldset>
			</form>
		  </td>
        </tr>
      </table>
    <!-- InstanceEndEditable --></td>
    <td width="200" align='right' class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2">&nbsp;</td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
  <tr>
    <td width="200" class="maintableright">&nbsp;</td>
    <td width="800" colspan="2" class="maintablebottom"><div align="center">
        <p><img src="images/template/divider.gif" alt="norcgi.com" width="600" height="2" /><br />
        <span class="footer_text">Copyright(C) Healthnet 2008 </span></p>
      </div></td>
    <td width="200" class="maintableleft">&nbsp;</td>
  </tr>
</table>
</body>
<!-- InstanceEnd --></html>
